Ignore:
Timestamp:
Nov 29, 2009 12:49:43 PM (10 years ago)
Author:
stefan
Message:

use new pkg-config based macros to search for required and optional packages

Location:
stable/BSPsplit
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • stable/BSPsplit

    • Property svn:externals
      •  

        old new  
        1 BuildTools    https://projects.coin-or.org/svn/BuildTools/stable/0.5
        2 ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/stable/1.0
        3 ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/stable/1.0
        4 Data/Sample   https://projects.coin-or.org/svn/Data/stable/1.0/Sample
        5 CoinUtils     https://projects.coin-or.org/svn/CoinUtils/stable/2.5/CoinUtils
         1BuildTools    https://projects.coin-or.org/svn/BuildTools/stable/BSPsplit
         2#ThirdParty/Blas https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/stable/1.0
         3#ThirdParty/Lapack https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/stable/1.0
         4#Data/Sample   https://projects.coin-or.org/svn/Data/stable/1.0/Sample
         5#CoinUtils     https://projects.coin-or.org/svn/CoinUtils/stable/2.5/CoinUtils
  • stable/BSPsplit/configure

    r1351 r1465  
    474474#endif"
    475475
     476ac_subdirs_all="$ac_subdirs_all ThirdParty/Blas"
     477ac_subdirs_all="$ac_subdirs_all ThirdParty/Lapack"
     478ac_subdirs_all="$ac_subdirs_all Data/Sample"
     479ac_subdirs_all="$ac_subdirs_all Data/Netlib"
    476480ac_subdirs_all="$ac_subdirs_all CoinUtils"
    477 ac_subdirs_all="$ac_subdirs_all Data/Netlib"
    478 ac_subdirs_all="$ac_subdirs_all Data/Sample"
    479481ac_subdirs_all="$ac_subdirs_all Clp"
    480 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_SKIP_PROJECTS subdirs LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     482ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_SKIP_PROJECTS subdirs LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    481483ac_subst_files=''
    482484
     
    10151017ac_cv_env_CXXCPP_set=${CXXCPP+set}
    10161018ac_cv_env_CXXCPP_value=$CXXCPP
     1019ac_env_PKG_CONFIG_set=${PKG_CONFIG+set}
     1020ac_env_PKG_CONFIG_value=$PKG_CONFIG
     1021ac_cv_env_PKG_CONFIG_set=${PKG_CONFIG+set}
     1022ac_cv_env_PKG_CONFIG_value=$PKG_CONFIG
    10171023ac_env_COIN_SKIP_PROJECTS_set=${COIN_SKIP_PROJECTS+set}
    10181024ac_env_COIN_SKIP_PROJECTS_value=$COIN_SKIP_PROJECTS
     
    11171123                          optimize for fast installation [default=yes]
    11181124  --disable-libtool-lock  avoid locking (might break parallel builds)
     1125  --enable-pkg-config     use pkg-config if available (default is yes)
    11191126
    11201127Optional Packages:
     
    11261133  --with-tags[=TAGS]
    11271134                          include additional configurations [automatic]
     1135  --with-blas-lib linker flags for using project Blas
     1136  --with-blas-incdir directory with header files for using project Blas
     1137  --with-blas-datadir directory with data files for using project Blas
     1138  --with-coin-instdir     prefix of installation directory for precompiled
     1139                          COIN packages
     1140  --with-lapack-lib linker flags for using project Lapack
     1141  --with-lapack-incdir directory with header files for using project Lapack
     1142  --with-lapack-datadir directory with data files for using project Lapack
     1143  --with-sample-lib linker flags for using project Sample
     1144  --with-sample-incdir directory with header files for using project Sample
     1145  --with-sample-datadir directory with data files for using project Sample
     1146  --with-netlib-lib linker flags for using project Netlib
     1147  --with-netlib-incdir directory with header files for using project Netlib
     1148  --with-netlib-datadir directory with data files for using project Netlib
     1149  --with-coinutils-lib linker flags for using project CoinUtils
     1150  --with-coinutils-incdir directory with header files for using project
     1151                          CoinUtils
     1152  --with-coinutils-datadir
     1153                          directory with data files for using project
     1154                          CoinUtils
     1155  --with-clp-lib linker flags for using project Clp
     1156  --with-clp-incdir directory with header files for using project Clp
     1157  --with-clp-datadir directory with data files for using project Clp
    11281158
    11291159Some influential environment variables:
     
    11571187  CPP         C preprocessor
    11581188  CXXCPP      C++ preprocessor
     1189  PKG_CONFIG  path to pkg-config utility
    11591190  COIN_SKIP_PROJECTS
    11601191              Set to the subdirectories of projects that should be skipped in
     
    41614192
    41624193# Provide some information about the compiler.
    4163 echo "$as_me:4163:" \
     4194echo "$as_me:4194:" \
    41644195     "checking for Fortran 77 compiler version" >&5
    41654196ac_compiler=`set X $ac_compile; echo $2`
     
    64206451*-*-irix6*)
    64216452  # Find out which ABI we are using.
    6422   echo '#line 6422 "configure"' > conftest.$ac_ext
     6453  echo '#line 6453 "configure"' > conftest.$ac_ext
    64236454  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64246455  (eval $ac_compile) 2>&5
     
    83848415   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83858416   -e 's:$: $lt_compiler_flag:'`
    8386    (eval echo "\"\$as_me:8386: $lt_compile\"" >&5)
     8417   (eval echo "\"\$as_me:8417: $lt_compile\"" >&5)
    83878418   (eval "$lt_compile" 2>conftest.err)
    83888419   ac_status=$?
    83898420   cat conftest.err >&5
    8390    echo "$as_me:8390: \$? = $ac_status" >&5
     8421   echo "$as_me:8421: \$? = $ac_status" >&5
    83918422   if (exit $ac_status) && test -s "$ac_outfile"; then
    83928423     # The compiler can only warn and ignore the option if not recognized
     
    86528683   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86538684   -e 's:$: $lt_compiler_flag:'`
    8654    (eval echo "\"\$as_me:8654: $lt_compile\"" >&5)
     8685   (eval echo "\"\$as_me:8685: $lt_compile\"" >&5)
    86558686   (eval "$lt_compile" 2>conftest.err)
    86568687   ac_status=$?
    86578688   cat conftest.err >&5
    8658    echo "$as_me:8658: \$? = $ac_status" >&5
     8689   echo "$as_me:8689: \$? = $ac_status" >&5
    86598690   if (exit $ac_status) && test -s "$ac_outfile"; then
    86608691     # The compiler can only warn and ignore the option if not recognized
     
    87568787   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87578788   -e 's:$: $lt_compiler_flag:'`
    8758    (eval echo "\"\$as_me:8758: $lt_compile\"" >&5)
     8789   (eval echo "\"\$as_me:8789: $lt_compile\"" >&5)
    87598790   (eval "$lt_compile" 2>out/conftest.err)
    87608791   ac_status=$?
    87618792   cat out/conftest.err >&5
    8762    echo "$as_me:8762: \$? = $ac_status" >&5
     8793   echo "$as_me:8793: \$? = $ac_status" >&5
    87638794   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87648795   then
     
    1110111132  lt_status=$lt_dlunknown
    1110211133  cat > conftest.$ac_ext <<EOF
    11103 #line 11103 "configure"
     11134#line 11134 "configure"
    1110411135#include "confdefs.h"
    1110511136
     
    1120111232  lt_status=$lt_dlunknown
    1120211233  cat > conftest.$ac_ext <<EOF
    11203 #line 11203 "configure"
     11234#line 11234 "configure"
    1120411235#include "confdefs.h"
    1120511236
     
    1354513576   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1354613577   -e 's:$: $lt_compiler_flag:'`
    13547    (eval echo "\"\$as_me:13547: $lt_compile\"" >&5)
     13578   (eval echo "\"\$as_me:13578: $lt_compile\"" >&5)
    1354813579   (eval "$lt_compile" 2>conftest.err)
    1354913580   ac_status=$?
    1355013581   cat conftest.err >&5
    13551    echo "$as_me:13551: \$? = $ac_status" >&5
     13582   echo "$as_me:13582: \$? = $ac_status" >&5
    1355213583   if (exit $ac_status) && test -s "$ac_outfile"; then
    1355313584     # The compiler can only warn and ignore the option if not recognized
     
    1364913680   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1365013681   -e 's:$: $lt_compiler_flag:'`
    13651    (eval echo "\"\$as_me:13651: $lt_compile\"" >&5)
     13682   (eval echo "\"\$as_me:13682: $lt_compile\"" >&5)
    1365213683   (eval "$lt_compile" 2>out/conftest.err)
    1365313684   ac_status=$?
    1365413685   cat out/conftest.err >&5
    13655    echo "$as_me:13655: \$? = $ac_status" >&5
     13686   echo "$as_me:13686: \$? = $ac_status" >&5
    1365613687   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1365713688   then
     
    1521915250   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1522015251   -e 's:$: $lt_compiler_flag:'`
    15221    (eval echo "\"\$as_me:15221: $lt_compile\"" >&5)
     15252   (eval echo "\"\$as_me:15252: $lt_compile\"" >&5)
    1522215253   (eval "$lt_compile" 2>conftest.err)
    1522315254   ac_status=$?
    1522415255   cat conftest.err >&5
    15225    echo "$as_me:15225: \$? = $ac_status" >&5
     15256   echo "$as_me:15256: \$? = $ac_status" >&5
    1522615257   if (exit $ac_status) && test -s "$ac_outfile"; then
    1522715258     # The compiler can only warn and ignore the option if not recognized
     
    1532315354   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1532415355   -e 's:$: $lt_compiler_flag:'`
    15325    (eval echo "\"\$as_me:15325: $lt_compile\"" >&5)
     15356   (eval echo "\"\$as_me:15356: $lt_compile\"" >&5)
    1532615357   (eval "$lt_compile" 2>out/conftest.err)
    1532715358   ac_status=$?
    1532815359   cat out/conftest.err >&5
    15329    echo "$as_me:15329: \$? = $ac_status" >&5
     15360   echo "$as_me:15360: \$? = $ac_status" >&5
    1533015361   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1533115362   then
     
    1753017561   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1753117562   -e 's:$: $lt_compiler_flag:'`
    17532    (eval echo "\"\$as_me:17532: $lt_compile\"" >&5)
     17563   (eval echo "\"\$as_me:17563: $lt_compile\"" >&5)
    1753317564   (eval "$lt_compile" 2>conftest.err)
    1753417565   ac_status=$?
    1753517566   cat conftest.err >&5
    17536    echo "$as_me:17536: \$? = $ac_status" >&5
     17567   echo "$as_me:17567: \$? = $ac_status" >&5
    1753717568   if (exit $ac_status) && test -s "$ac_outfile"; then
    1753817569     # The compiler can only warn and ignore the option if not recognized
     
    1779817829   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1779917830   -e 's:$: $lt_compiler_flag:'`
    17800    (eval echo "\"\$as_me:17800: $lt_compile\"" >&5)
     17831   (eval echo "\"\$as_me:17831: $lt_compile\"" >&5)
    1780117832   (eval "$lt_compile" 2>conftest.err)
    1780217833   ac_status=$?
    1780317834   cat conftest.err >&5
    17804    echo "$as_me:17804: \$? = $ac_status" >&5
     17835   echo "$as_me:17835: \$? = $ac_status" >&5
    1780517836   if (exit $ac_status) && test -s "$ac_outfile"; then
    1780617837     # The compiler can only warn and ignore the option if not recognized
     
    1790217933   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1790317934   -e 's:$: $lt_compiler_flag:'`
    17904    (eval echo "\"\$as_me:17904: $lt_compile\"" >&5)
     17935   (eval echo "\"\$as_me:17935: $lt_compile\"" >&5)
    1790517936   (eval "$lt_compile" 2>out/conftest.err)
    1790617937   ac_status=$?
    1790717938   cat out/conftest.err >&5
    17908    echo "$as_me:17908: \$? = $ac_status" >&5
     17939   echo "$as_me:17939: \$? = $ac_status" >&5
    1790917940   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1791017941   then
     
    2078720818LT_LDFLAGS=
    2078820819
     20820# Check if we want to set the library version
     20821echo "$as_me:$LINENO: checking if library version is set" >&5
     20822echo $ECHO_N "checking if library version is set... $ECHO_C" >&6
     20823if test x"$coin_libversion" != x; then
     20824  LT_LDFLAGS="$LT_LDFLAGS -version-info $coin_libversion"
     20825  echo "$as_me:$LINENO: result: $coin_libversion" >&5
     20826echo "${ECHO_T}$coin_libversion" >&6
     20827else
     20828  echo "$as_me:$LINENO: result: no" >&5
     20829echo "${ECHO_T}no" >&6
     20830fi
     20831
     20832
    2078920833
    2079020834#END
     
    2079920843
    2080020844
    20801 echo "$as_me:$LINENO: checking whether directory CoinUtils is available" >&5
    20802 echo $ECHO_N "checking whether directory CoinUtils is available... $ECHO_C" >&6
    20803                 coin_skip=no
    20804                 if test x"$COIN_SKIP_PROJECTS" != x; then
    20805                   for dir in $COIN_SKIP_PROJECTS; do
    20806                     if test $dir = CoinUtils; then
    20807                       coin_skip=yes
    20808                     fi
    20809                   done
    20810                 fi
    20811                 if test $coin_skip = yes; then
    20812                   echo "$as_me:$LINENO: result: skipping" >&5
    20813 echo "${ECHO_T}skipping" >&6
    20814                 elif test -r $srcdir/CoinUtils/configure; then
    20815                   coin_subdirs="$coin_subdirs CoinUtils"
    20816                   echo "$as_me:$LINENO: result: yes" >&5
     20845# Check whether --enable-pkg-config or --disable-pkg-config was given.
     20846if test "${enable_pkg_config+set}" = set; then
     20847  enableval="$enable_pkg_config"
     20848  use_pkgconfig="$enableval"
     20849else
     20850  use_pkgconfig=yes
     20851fi;
     20852
     20853if test $use_pkgconfig = yes ; then
     20854  if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
     20855    if test -n "$ac_tool_prefix"; then
     20856  # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
     20857set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
     20858echo "$as_me:$LINENO: checking for $ac_word" >&5
     20859echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     20860if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
     20861  echo $ECHO_N "(cached) $ECHO_C" >&6
     20862else
     20863  case $PKG_CONFIG in
     20864  [\\/]* | ?:[\\/]*)
     20865  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
     20866  ;;
     20867  *)
     20868  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     20869for as_dir in $PATH
     20870do
     20871  IFS=$as_save_IFS
     20872  test -z "$as_dir" && as_dir=.
     20873  for ac_exec_ext in '' $ac_executable_extensions; do
     20874  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     20875    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     20876    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     20877    break 2
     20878  fi
     20879done
     20880done
     20881
     20882  ;;
     20883esac
     20884fi
     20885PKG_CONFIG=$ac_cv_path_PKG_CONFIG
     20886
     20887if test -n "$PKG_CONFIG"; then
     20888  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     20889echo "${ECHO_T}$PKG_CONFIG" >&6
     20890else
     20891  echo "$as_me:$LINENO: result: no" >&5
     20892echo "${ECHO_T}no" >&6
     20893fi
     20894
     20895fi
     20896if test -z "$ac_cv_path_PKG_CONFIG"; then
     20897  ac_pt_PKG_CONFIG=$PKG_CONFIG
     20898  # Extract the first word of "pkg-config", so it can be a program name with args.
     20899set dummy pkg-config; ac_word=$2
     20900echo "$as_me:$LINENO: checking for $ac_word" >&5
     20901echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     20902if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
     20903  echo $ECHO_N "(cached) $ECHO_C" >&6
     20904else
     20905  case $ac_pt_PKG_CONFIG in
     20906  [\\/]* | ?:[\\/]*)
     20907  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
     20908  ;;
     20909  *)
     20910  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     20911for as_dir in $PATH
     20912do
     20913  IFS=$as_save_IFS
     20914  test -z "$as_dir" && as_dir=.
     20915  for ac_exec_ext in '' $ac_executable_extensions; do
     20916  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     20917    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     20918    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     20919    break 2
     20920  fi
     20921done
     20922done
     20923
     20924  ;;
     20925esac
     20926fi
     20927ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
     20928
     20929if test -n "$ac_pt_PKG_CONFIG"; then
     20930  echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
     20931echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
     20932else
     20933  echo "$as_me:$LINENO: result: no" >&5
     20934echo "${ECHO_T}no" >&6
     20935fi
     20936
     20937  PKG_CONFIG=$ac_pt_PKG_CONFIG
     20938else
     20939  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
     20940fi
     20941
     20942  fi
     20943  if test -n "$PKG_CONFIG"; then
     20944    _pkg_min_version=0.9.0
     20945    echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
     20946echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6
     20947    if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
     20948      echo "$as_me:$LINENO: result: yes" >&5
    2081720949echo "${ECHO_T}yes" >&6
     20950    else
     20951      echo "$as_me:$LINENO: result: no" >&5
     20952echo "${ECHO_T}no" >&6
     20953      PKG_CONFIG=""
     20954    fi
     20955  fi
     20956
     20957  # check if pkg-config supports the short-errors flag
     20958  if test -n "$PKG_CONFIG" && \
     20959    $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
     20960    pkg_short_errors=" --short-errors "
     20961  else
     20962    pkg_short_errors=""
     20963  fi
     20964fi
     20965
     20966
     20967echo "$as_me:$LINENO: checking whether project Blas is available" >&5
     20968echo $ECHO_N "checking whether project Blas is available... $ECHO_C" >&6
     20969
     20970coin_has_blas=notGiven
     20971
     20972# check if user wants to skip project in any case
     20973
     20974if test x"$COIN_SKIP_PROJECTS" != x; then
     20975  for dir in $COIN_SKIP_PROJECTS; do
     20976    if test $dir = "Blas"; then
     20977      coin_has_blas=skipping
     20978    fi
     20979    if test $dir = "ThirdParty/Blas"; then
     20980      coin_has_blas=skipping
     20981    fi
     20982  done
     20983fi
     20984
     20985if test $coin_has_blas != skipping; then
     20986  if test $PACKAGE_TARNAME = blas; then
     20987    coin_has_blas=.
     20988  fi
     20989
     20990
     20991# Check whether --with-m4_tolower(Blas)-lib or --without-m4_tolower(Blas)-lib was given.
     20992if test "${with_blas_lib+set}" = set; then
     20993  withval="$with_blas_lib"
     20994  coin_has_blas=installed
     20995fi;
     20996
     20997
     20998# Check whether --with-m4_tolower(Blas)-incdir or --without-m4_tolower(Blas)-incdir was given.
     20999if test "${with_blas_incdir+set}" = set; then
     21000  withval="$with_blas_incdir"
     21001  coin_has_blas=installed
     21002fi;
     21003
     21004
     21005# Check whether --with-m4_tolower(Blas)-datadir or --without-m4_tolower(Blas)-datadir was given.
     21006if test "${with_blas_datadir+set}" = set; then
     21007  withval="$with_blas_datadir"
     21008  coin_has_blas=installed
     21009fi;
     21010fi
     21011
     21012if test $coin_has_blas = notGiven; then
     21013  #only if pkg-config is available:
     21014  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21015  if test -n "$PKG_CONFIG" ; then
     21016    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21017
     21018# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21019if test "${with_coin_instdir+set}" = set; then
     21020  withval="$with_coin_instdir"
     21021  if test -d "$withval"; then : ; else
     21022         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21023echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21024   { (exit 1); exit 1; }; }
     21025       fi
     21026       PKG_CONFIG_PATH="$withval/lib/ThirdParty/pkgconfig:$PKG_CONFIG_PATH"
     21027
     21028fi;
     21029
     21030    # let pkgconfig check if the project is already installed somewhere
     21031    # need to export variable to be sure that the following pkg-config call gets these values
     21032    export PKG_CONFIG_PATH
     21033
     21034if test -n "$PKG_CONFIG" ; then
     21035  if $PKG_CONFIG --exists "blas"; then
     21036    BLAS_VERSION=`$PKG_CONFIG --modversion "blas" 2>/dev/null`
     21037    coin_has_blas="$BLAS_VERSION"
     21038  else
     21039    BLAS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "blas"`
     21040
     21041  fi
     21042else
     21043  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Blas without pkg-config\"" >&5
     21044echo "$as_me: error: \"Cannot check for existance of module Blas without pkg-config\"" >&2;}
     21045   { (exit 1); exit 1; }; }
     21046fi
     21047
     21048
     21049    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21050  fi
     21051fi
     21052
     21053# if not found yet, check if project is available in present directory
     21054if test "$coin_has_blas" = notGiven; then
     21055  if test -d $srcdir/ThirdParty/Blas; then
     21056    coin_pkg_is_here=no
     21057    for i in $srcdir/ThirdParty/Blas/daxpy.f; do
     21058         if test -r $i; then
     21059           coin_pkg_is_here=yes
     21060         fi
     21061       done
     21062
     21063    if test $coin_pkg_is_here = yes; then
     21064      coin_has_blas=ThirdParty/Blas
     21065    fi
     21066  fi
     21067fi
     21068
     21069echo "$as_me:$LINENO: result: $coin_has_blas" >&5
     21070echo "${ECHO_T}$coin_has_blas" >&6
     21071
     21072echo "$as_me:$LINENO: checking whether project Blas need to be configured" >&5
     21073echo $ECHO_N "checking whether project Blas need to be configured... $ECHO_C" >&6
     21074if test "$coin_has_blas" != skipping &&
     21075   test "$coin_has_blas" != notGiven &&
     21076   test "$coin_has_blas" != installed; then
     21077
     21078  if test -r $srcdir/ThirdParty/Blas/configure; then
     21079    coin_subdirs="$coin_subdirs ThirdParty/Blas"
     21080    echo "$as_me:$LINENO: result: yes" >&5
     21081echo "${ECHO_T}yes" >&6
     21082
     21083
     21084subdirs="$subdirs ThirdParty/Blas"
     21085
     21086  else
     21087    echo "$as_me:$LINENO: result: no" >&5
     21088echo "${ECHO_T}no" >&6
     21089  fi
     21090else
     21091  echo "$as_me:$LINENO: result: no" >&5
     21092echo "${ECHO_T}no" >&6
     21093fi
     21094
     21095
     21096echo "$as_me:$LINENO: checking whether project Lapack is available" >&5
     21097echo $ECHO_N "checking whether project Lapack is available... $ECHO_C" >&6
     21098
     21099coin_has_lapack=notGiven
     21100
     21101# check if user wants to skip project in any case
     21102
     21103if test x"$COIN_SKIP_PROJECTS" != x; then
     21104  for dir in $COIN_SKIP_PROJECTS; do
     21105    if test $dir = "Lapack"; then
     21106      coin_has_lapack=skipping
     21107    fi
     21108    if test $dir = "ThirdParty/Lapack"; then
     21109      coin_has_lapack=skipping
     21110    fi
     21111  done
     21112fi
     21113
     21114if test $coin_has_lapack != skipping; then
     21115  if test $PACKAGE_TARNAME = lapack; then
     21116    coin_has_lapack=.
     21117  fi
     21118
     21119
     21120# Check whether --with-m4_tolower(Lapack)-lib or --without-m4_tolower(Lapack)-lib was given.
     21121if test "${with_lapack_lib+set}" = set; then
     21122  withval="$with_lapack_lib"
     21123  coin_has_lapack=installed
     21124fi;
     21125
     21126
     21127# Check whether --with-m4_tolower(Lapack)-incdir or --without-m4_tolower(Lapack)-incdir was given.
     21128if test "${with_lapack_incdir+set}" = set; then
     21129  withval="$with_lapack_incdir"
     21130  coin_has_lapack=installed
     21131fi;
     21132
     21133
     21134# Check whether --with-m4_tolower(Lapack)-datadir or --without-m4_tolower(Lapack)-datadir was given.
     21135if test "${with_lapack_datadir+set}" = set; then
     21136  withval="$with_lapack_datadir"
     21137  coin_has_lapack=installed
     21138fi;
     21139fi
     21140
     21141if test $coin_has_lapack = notGiven; then
     21142  #only if pkg-config is available:
     21143  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21144  if test -n "$PKG_CONFIG" ; then
     21145    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21146
     21147# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21148if test "${with_coin_instdir+set}" = set; then
     21149  withval="$with_coin_instdir"
     21150  if test -d "$withval"; then : ; else
     21151         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21152echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21153   { (exit 1); exit 1; }; }
     21154       fi
     21155       PKG_CONFIG_PATH="$withval/lib/ThirdParty/pkgconfig:$PKG_CONFIG_PATH"
     21156
     21157fi;
     21158
     21159    # let pkgconfig check if the project is already installed somewhere
     21160    # need to export variable to be sure that the following pkg-config call gets these values
     21161    export PKG_CONFIG_PATH
     21162
     21163if test -n "$PKG_CONFIG" ; then
     21164  if $PKG_CONFIG --exists "lapack"; then
     21165    LAPACK_VERSION=`$PKG_CONFIG --modversion "lapack" 2>/dev/null`
     21166    coin_has_lapack="$LAPACK_VERSION"
     21167  else
     21168    LAPACK_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "lapack"`
     21169
     21170  fi
     21171else
     21172  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Lapack without pkg-config\"" >&5
     21173echo "$as_me: error: \"Cannot check for existance of module Lapack without pkg-config\"" >&2;}
     21174   { (exit 1); exit 1; }; }
     21175fi
     21176
     21177
     21178    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21179  fi
     21180fi
     21181
     21182# if not found yet, check if project is available in present directory
     21183if test "$coin_has_lapack" = notGiven; then
     21184  if test -d $srcdir/ThirdParty/Lapack; then
     21185    coin_pkg_is_here=no
     21186    for i in $srcdir/ThirdParty/Lapack/LAPACK/SRC/dlarf.f; do
     21187         if test -r $i; then
     21188           coin_pkg_is_here=yes
     21189         fi
     21190       done
     21191
     21192    if test $coin_pkg_is_here = yes; then
     21193      coin_has_lapack=ThirdParty/Lapack
     21194    fi
     21195  fi
     21196fi
     21197
     21198echo "$as_me:$LINENO: result: $coin_has_lapack" >&5
     21199echo "${ECHO_T}$coin_has_lapack" >&6
     21200
     21201echo "$as_me:$LINENO: checking whether project Lapack need to be configured" >&5
     21202echo $ECHO_N "checking whether project Lapack need to be configured... $ECHO_C" >&6
     21203if test "$coin_has_lapack" != skipping &&
     21204   test "$coin_has_lapack" != notGiven &&
     21205   test "$coin_has_lapack" != installed; then
     21206
     21207  if test -r $srcdir/ThirdParty/Lapack/configure; then
     21208    coin_subdirs="$coin_subdirs ThirdParty/Lapack"
     21209    echo "$as_me:$LINENO: result: yes" >&5
     21210echo "${ECHO_T}yes" >&6
     21211
     21212
     21213subdirs="$subdirs ThirdParty/Lapack"
     21214
     21215  else
     21216    echo "$as_me:$LINENO: result: no" >&5
     21217echo "${ECHO_T}no" >&6
     21218  fi
     21219else
     21220  echo "$as_me:$LINENO: result: no" >&5
     21221echo "${ECHO_T}no" >&6
     21222fi
     21223
     21224
     21225echo "$as_me:$LINENO: checking whether project Sample is available" >&5
     21226echo $ECHO_N "checking whether project Sample is available... $ECHO_C" >&6
     21227
     21228coin_has_sample=notGiven
     21229
     21230# check if user wants to skip project in any case
     21231
     21232if test x"$COIN_SKIP_PROJECTS" != x; then
     21233  for dir in $COIN_SKIP_PROJECTS; do
     21234    if test $dir = "Sample"; then
     21235      coin_has_sample=skipping
     21236    fi
     21237    if test $dir = "Data/Sample"; then
     21238      coin_has_sample=skipping
     21239    fi
     21240  done
     21241fi
     21242
     21243if test $coin_has_sample != skipping; then
     21244  if test $PACKAGE_TARNAME = sample; then
     21245    coin_has_sample=.
     21246  fi
     21247
     21248
     21249# Check whether --with-m4_tolower(Sample)-lib or --without-m4_tolower(Sample)-lib was given.
     21250if test "${with_sample_lib+set}" = set; then
     21251  withval="$with_sample_lib"
     21252  coin_has_sample=installed
     21253fi;
     21254
     21255
     21256# Check whether --with-m4_tolower(Sample)-incdir or --without-m4_tolower(Sample)-incdir was given.
     21257if test "${with_sample_incdir+set}" = set; then
     21258  withval="$with_sample_incdir"
     21259  coin_has_sample=installed
     21260fi;
     21261
     21262
     21263# Check whether --with-m4_tolower(Sample)-datadir or --without-m4_tolower(Sample)-datadir was given.
     21264if test "${with_sample_datadir+set}" = set; then
     21265  withval="$with_sample_datadir"
     21266  coin_has_sample=installed
     21267fi;
     21268fi
     21269
     21270if test $coin_has_sample = notGiven; then
     21271  #only if pkg-config is available:
     21272  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21273  if test -n "$PKG_CONFIG" ; then
     21274    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21275
     21276# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21277if test "${with_coin_instdir+set}" = set; then
     21278  withval="$with_coin_instdir"
     21279  if test -d "$withval"; then : ; else
     21280         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21281echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21282   { (exit 1); exit 1; }; }
     21283       fi
     21284       PKG_CONFIG_PATH="$withval/lib/Data/pkgconfig:$PKG_CONFIG_PATH"
     21285
     21286fi;
     21287
     21288    # let pkgconfig check if the project is already installed somewhere
     21289    # need to export variable to be sure that the following pkg-config call gets these values
     21290    export PKG_CONFIG_PATH
     21291
     21292if test -n "$PKG_CONFIG" ; then
     21293  if $PKG_CONFIG --exists "sample"; then
     21294    SAMPLE_VERSION=`$PKG_CONFIG --modversion "sample" 2>/dev/null`
     21295    coin_has_sample="$SAMPLE_VERSION"
     21296  else
     21297    SAMPLE_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "sample"`
     21298
     21299  fi
     21300else
     21301  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Sample without pkg-config\"" >&5
     21302echo "$as_me: error: \"Cannot check for existance of module Sample without pkg-config\"" >&2;}
     21303   { (exit 1); exit 1; }; }
     21304fi
     21305
     21306
     21307    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21308  fi
     21309fi
     21310
     21311# if not found yet, check if project is available in present directory
     21312if test "$coin_has_sample" = notGiven; then
     21313  if test -d $srcdir/Data/Sample; then
     21314    coin_pkg_is_here=no
     21315     coin_pkg_is_here=yes
     21316
     21317    if test $coin_pkg_is_here = yes; then
     21318      coin_has_sample=Data/Sample
     21319    fi
     21320  fi
     21321fi
     21322
     21323echo "$as_me:$LINENO: result: $coin_has_sample" >&5
     21324echo "${ECHO_T}$coin_has_sample" >&6
     21325
     21326echo "$as_me:$LINENO: checking whether project Sample need to be configured" >&5
     21327echo $ECHO_N "checking whether project Sample need to be configured... $ECHO_C" >&6
     21328if test "$coin_has_sample" != skipping &&
     21329   test "$coin_has_sample" != notGiven &&
     21330   test "$coin_has_sample" != installed; then
     21331
     21332  if test -r $srcdir/Data/Sample/configure; then
     21333    coin_subdirs="$coin_subdirs Data/Sample"
     21334    echo "$as_me:$LINENO: result: yes" >&5
     21335echo "${ECHO_T}yes" >&6
     21336
     21337
     21338subdirs="$subdirs Data/Sample"
     21339
     21340  else
     21341    echo "$as_me:$LINENO: result: no" >&5
     21342echo "${ECHO_T}no" >&6
     21343  fi
     21344else
     21345  echo "$as_me:$LINENO: result: no" >&5
     21346echo "${ECHO_T}no" >&6
     21347fi
     21348
     21349
     21350echo "$as_me:$LINENO: checking whether project Netlib is available" >&5
     21351echo $ECHO_N "checking whether project Netlib is available... $ECHO_C" >&6
     21352
     21353coin_has_netlib=notGiven
     21354
     21355# check if user wants to skip project in any case
     21356
     21357if test x"$COIN_SKIP_PROJECTS" != x; then
     21358  for dir in $COIN_SKIP_PROJECTS; do
     21359    if test $dir = "Netlib"; then
     21360      coin_has_netlib=skipping
     21361    fi
     21362    if test $dir = "Data/Netlib"; then
     21363      coin_has_netlib=skipping
     21364    fi
     21365  done
     21366fi
     21367
     21368if test $coin_has_netlib != skipping; then
     21369  if test $PACKAGE_TARNAME = netlib; then
     21370    coin_has_netlib=.
     21371  fi
     21372
     21373
     21374# Check whether --with-m4_tolower(Netlib)-lib or --without-m4_tolower(Netlib)-lib was given.
     21375if test "${with_netlib_lib+set}" = set; then
     21376  withval="$with_netlib_lib"
     21377  coin_has_netlib=installed
     21378fi;
     21379
     21380
     21381# Check whether --with-m4_tolower(Netlib)-incdir or --without-m4_tolower(Netlib)-incdir was given.
     21382if test "${with_netlib_incdir+set}" = set; then
     21383  withval="$with_netlib_incdir"
     21384  coin_has_netlib=installed
     21385fi;
     21386
     21387
     21388# Check whether --with-m4_tolower(Netlib)-datadir or --without-m4_tolower(Netlib)-datadir was given.
     21389if test "${with_netlib_datadir+set}" = set; then
     21390  withval="$with_netlib_datadir"
     21391  coin_has_netlib=installed
     21392fi;
     21393fi
     21394
     21395if test $coin_has_netlib = notGiven; then
     21396  #only if pkg-config is available:
     21397  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21398  if test -n "$PKG_CONFIG" ; then
     21399    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21400
     21401# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21402if test "${with_coin_instdir+set}" = set; then
     21403  withval="$with_coin_instdir"
     21404  if test -d "$withval"; then : ; else
     21405         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21406echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21407   { (exit 1); exit 1; }; }
     21408       fi
     21409       PKG_CONFIG_PATH="$withval/lib/Data/pkgconfig:$PKG_CONFIG_PATH"
     21410
     21411fi;
     21412
     21413    # let pkgconfig check if the project is already installed somewhere
     21414    # need to export variable to be sure that the following pkg-config call gets these values
     21415    export PKG_CONFIG_PATH
     21416
     21417if test -n "$PKG_CONFIG" ; then
     21418  if $PKG_CONFIG --exists "netlib"; then
     21419    NETLIB_VERSION=`$PKG_CONFIG --modversion "netlib" 2>/dev/null`
     21420    coin_has_netlib="$NETLIB_VERSION"
     21421  else
     21422    NETLIB_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "netlib"`
     21423
     21424  fi
     21425else
     21426  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Netlib without pkg-config\"" >&5
     21427echo "$as_me: error: \"Cannot check for existance of module Netlib without pkg-config\"" >&2;}
     21428   { (exit 1); exit 1; }; }
     21429fi
     21430
     21431
     21432    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21433  fi
     21434fi
     21435
     21436# if not found yet, check if project is available in present directory
     21437if test "$coin_has_netlib" = notGiven; then
     21438  if test -d $srcdir/Data/Netlib; then
     21439    coin_pkg_is_here=no
     21440     coin_pkg_is_here=yes
     21441
     21442    if test $coin_pkg_is_here = yes; then
     21443      coin_has_netlib=Data/Netlib
     21444    fi
     21445  fi
     21446fi
     21447
     21448echo "$as_me:$LINENO: result: $coin_has_netlib" >&5
     21449echo "${ECHO_T}$coin_has_netlib" >&6
     21450
     21451echo "$as_me:$LINENO: checking whether project Netlib need to be configured" >&5
     21452echo $ECHO_N "checking whether project Netlib need to be configured... $ECHO_C" >&6
     21453if test "$coin_has_netlib" != skipping &&
     21454   test "$coin_has_netlib" != notGiven &&
     21455   test "$coin_has_netlib" != installed; then
     21456
     21457  if test -r $srcdir/Data/Netlib/configure; then
     21458    coin_subdirs="$coin_subdirs Data/Netlib"
     21459    echo "$as_me:$LINENO: result: yes" >&5
     21460echo "${ECHO_T}yes" >&6
     21461
     21462
     21463subdirs="$subdirs Data/Netlib"
     21464
     21465  else
     21466    echo "$as_me:$LINENO: result: no" >&5
     21467echo "${ECHO_T}no" >&6
     21468  fi
     21469else
     21470  echo "$as_me:$LINENO: result: no" >&5
     21471echo "${ECHO_T}no" >&6
     21472fi
     21473
     21474
     21475echo "$as_me:$LINENO: checking whether project CoinUtils is available" >&5
     21476echo $ECHO_N "checking whether project CoinUtils is available... $ECHO_C" >&6
     21477
     21478coin_has_coinutils=notGiven
     21479
     21480# check if user wants to skip project in any case
     21481
     21482if test x"$COIN_SKIP_PROJECTS" != x; then
     21483  for dir in $COIN_SKIP_PROJECTS; do
     21484    if test $dir = "CoinUtils"; then
     21485      coin_has_coinutils=skipping
     21486    fi
     21487    if test $dir = "/CoinUtils"; then
     21488      coin_has_coinutils=skipping
     21489    fi
     21490  done
     21491fi
     21492
     21493if test $coin_has_coinutils != skipping; then
     21494  if test $PACKAGE_TARNAME = coinutils; then
     21495    coin_has_coinutils=.
     21496  fi
     21497
     21498
     21499# Check whether --with-m4_tolower(CoinUtils)-lib or --without-m4_tolower(CoinUtils)-lib was given.
     21500if test "${with_coinutils_lib+set}" = set; then
     21501  withval="$with_coinutils_lib"
     21502  coin_has_coinutils=installed
     21503fi;
     21504
     21505
     21506# Check whether --with-m4_tolower(CoinUtils)-incdir or --without-m4_tolower(CoinUtils)-incdir was given.
     21507if test "${with_coinutils_incdir+set}" = set; then
     21508  withval="$with_coinutils_incdir"
     21509  coin_has_coinutils=installed
     21510fi;
     21511
     21512
     21513# Check whether --with-m4_tolower(CoinUtils)-datadir or --without-m4_tolower(CoinUtils)-datadir was given.
     21514if test "${with_coinutils_datadir+set}" = set; then
     21515  withval="$with_coinutils_datadir"
     21516  coin_has_coinutils=installed
     21517fi;
     21518fi
     21519
     21520if test $coin_has_coinutils = notGiven; then
     21521  #only if pkg-config is available:
     21522  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21523  if test -n "$PKG_CONFIG" ; then
     21524    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21525
     21526# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21527if test "${with_coin_instdir+set}" = set; then
     21528  withval="$with_coin_instdir"
     21529  if test -d "$withval"; then : ; else
     21530         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21531echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21532   { (exit 1); exit 1; }; }
     21533       fi
     21534       PKG_CONFIG_PATH="$withval/lib//pkgconfig:$PKG_CONFIG_PATH"
     21535
     21536fi;
     21537
     21538    # let pkgconfig check if the project is already installed somewhere
     21539    # need to export variable to be sure that the following pkg-config call gets these values
     21540    export PKG_CONFIG_PATH
     21541
     21542if test -n "$PKG_CONFIG" ; then
     21543  if $PKG_CONFIG --exists "coinutils"; then
     21544    COINUTILS_VERSION=`$PKG_CONFIG --modversion "coinutils" 2>/dev/null`
     21545    coin_has_coinutils="$COINUTILS_VERSION"
     21546  else
     21547    COINUTILS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinutils"`
     21548
     21549  fi
     21550else
     21551  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module CoinUtils without pkg-config\"" >&5
     21552echo "$as_me: error: \"Cannot check for existance of module CoinUtils without pkg-config\"" >&2;}
     21553   { (exit 1); exit 1; }; }
     21554fi
     21555
     21556
     21557    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21558  fi
     21559fi
     21560
     21561# if not found yet, check if project is available in present directory
     21562if test "$coin_has_coinutils" = notGiven; then
     21563  if test -d $srcdir//CoinUtils; then
     21564    coin_pkg_is_here=no
     21565     coin_pkg_is_here=yes
     21566
     21567    if test $coin_pkg_is_here = yes; then
     21568      coin_has_coinutils=/CoinUtils
     21569    fi
     21570  fi
     21571fi
     21572
     21573echo "$as_me:$LINENO: result: $coin_has_coinutils" >&5
     21574echo "${ECHO_T}$coin_has_coinutils" >&6
     21575
     21576echo "$as_me:$LINENO: checking whether project CoinUtils need to be configured" >&5
     21577echo $ECHO_N "checking whether project CoinUtils need to be configured... $ECHO_C" >&6
     21578if test "$coin_has_coinutils" != skipping &&
     21579   test "$coin_has_coinutils" != notGiven &&
     21580   test "$coin_has_coinutils" != installed; then
     21581
     21582  if test -r $srcdir//CoinUtils/configure; then
     21583    coin_subdirs="$coin_subdirs CoinUtils"
     21584    echo "$as_me:$LINENO: result: yes" >&5
     21585echo "${ECHO_T}yes" >&6
    2081821586
    2081921587
    2082021588subdirs="$subdirs CoinUtils"
    2082121589
    20822                 else
    20823                   echo "$as_me:$LINENO: result: no" >&5
     21590  else
     21591    echo "$as_me:$LINENO: result: no" >&5
    2082421592echo "${ECHO_T}no" >&6
    20825                 fi
    20826 
    20827 
    20828 
    20829 
    20830 
    20831 
    20832 
    20833 
    20834 
    20835 
    20836 
    20837 
    20838 
    20839 echo "$as_me:$LINENO: checking whether directory Data/Netlib is available" >&5
    20840 echo $ECHO_N "checking whether directory Data/Netlib is available... $ECHO_C" >&6
    20841                 coin_skip=no
    20842                 if test x"$COIN_SKIP_PROJECTS" != x; then
    20843                   for dir in $COIN_SKIP_PROJECTS; do
    20844                     if test $dir = Data/Netlib; then
    20845                       coin_skip=yes
    20846                     fi
    20847                   done
    20848                 fi
    20849                 if test $coin_skip = yes; then
    20850                   echo "$as_me:$LINENO: result: skipping" >&5
    20851 echo "${ECHO_T}skipping" >&6
    20852                 elif test -r $srcdir/Data/Netlib/configure; then
    20853                   coin_subdirs="$coin_subdirs Data/Netlib"
    20854                   echo "$as_me:$LINENO: result: yes" >&5
     21593  fi
     21594else
     21595  echo "$as_me:$LINENO: result: no" >&5
     21596echo "${ECHO_T}no" >&6
     21597fi
     21598
     21599
     21600echo "$as_me:$LINENO: checking whether project Clp is available" >&5
     21601echo $ECHO_N "checking whether project Clp is available... $ECHO_C" >&6
     21602
     21603coin_has_clp=notGiven
     21604
     21605# check if user wants to skip project in any case
     21606
     21607if test x"$COIN_SKIP_PROJECTS" != x; then
     21608  for dir in $COIN_SKIP_PROJECTS; do
     21609    if test $dir = "Clp"; then
     21610      coin_has_clp=skipping
     21611    fi
     21612    if test $dir = "/Clp"; then
     21613      coin_has_clp=skipping
     21614    fi
     21615  done
     21616fi
     21617
     21618if test $coin_has_clp != skipping; then
     21619  if test $PACKAGE_TARNAME = clp; then
     21620    coin_has_clp=.
     21621  fi
     21622
     21623
     21624# Check whether --with-m4_tolower(Clp)-lib or --without-m4_tolower(Clp)-lib was given.
     21625if test "${with_clp_lib+set}" = set; then
     21626  withval="$with_clp_lib"
     21627  coin_has_clp=installed
     21628fi;
     21629
     21630
     21631# Check whether --with-m4_tolower(Clp)-incdir or --without-m4_tolower(Clp)-incdir was given.
     21632if test "${with_clp_incdir+set}" = set; then
     21633  withval="$with_clp_incdir"
     21634  coin_has_clp=installed
     21635fi;
     21636
     21637
     21638# Check whether --with-m4_tolower(Clp)-datadir or --without-m4_tolower(Clp)-datadir was given.
     21639if test "${with_clp_datadir+set}" = set; then
     21640  withval="$with_clp_datadir"
     21641  coin_has_clp=installed
     21642fi;
     21643fi
     21644
     21645if test $coin_has_clp = notGiven; then
     21646  #only if pkg-config is available:
     21647  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21648  if test -n "$PKG_CONFIG" ; then
     21649    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21650
     21651# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21652if test "${with_coin_instdir+set}" = set; then
     21653  withval="$with_coin_instdir"
     21654  if test -d "$withval"; then : ; else
     21655         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21656echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21657   { (exit 1); exit 1; }; }
     21658       fi
     21659       PKG_CONFIG_PATH="$withval/lib//pkgconfig:$PKG_CONFIG_PATH"
     21660
     21661fi;
     21662
     21663    # let pkgconfig check if the project is already installed somewhere
     21664    # need to export variable to be sure that the following pkg-config call gets these values
     21665    export PKG_CONFIG_PATH
     21666
     21667if test -n "$PKG_CONFIG" ; then
     21668  if $PKG_CONFIG --exists "clp"; then
     21669    CLP_VERSION=`$PKG_CONFIG --modversion "clp" 2>/dev/null`
     21670    coin_has_clp="$CLP_VERSION"
     21671  else
     21672    CLP_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "clp"`
     21673
     21674  fi
     21675else
     21676  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Clp without pkg-config\"" >&5
     21677echo "$as_me: error: \"Cannot check for existance of module Clp without pkg-config\"" >&2;}
     21678   { (exit 1); exit 1; }; }
     21679fi
     21680
     21681
     21682    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21683  fi
     21684fi
     21685
     21686# if not found yet, check if project is available in present directory
     21687if test "$coin_has_clp" = notGiven; then
     21688  if test -d $srcdir//Clp; then
     21689    coin_pkg_is_here=no
     21690     coin_pkg_is_here=yes
     21691
     21692    if test $coin_pkg_is_here = yes; then
     21693      coin_has_clp=/Clp
     21694    fi
     21695  fi
     21696fi
     21697
     21698echo "$as_me:$LINENO: result: $coin_has_clp" >&5
     21699echo "${ECHO_T}$coin_has_clp" >&6
     21700
     21701echo "$as_me:$LINENO: checking whether project Clp need to be configured" >&5
     21702echo $ECHO_N "checking whether project Clp need to be configured... $ECHO_C" >&6
     21703if test "$coin_has_clp" != skipping &&
     21704   test "$coin_has_clp" != notGiven &&
     21705   test "$coin_has_clp" != installed; then
     21706
     21707  if test -r $srcdir//Clp/configure; then
     21708    coin_subdirs="$coin_subdirs Clp"
     21709    echo "$as_me:$LINENO: result: yes" >&5
    2085521710echo "${ECHO_T}yes" >&6
    2085621711
    2085721712
    20858 subdirs="$subdirs Data/Netlib"
    20859 
    20860                 else
    20861                   echo "$as_me:$LINENO: result: no" >&5
     21713subdirs="$subdirs Clp"
     21714
     21715  else
     21716    echo "$as_me:$LINENO: result: no" >&5
    2086221717echo "${ECHO_T}no" >&6
    20863                 fi
    20864 
    20865 
    20866 
    20867 
    20868 
    20869 
    20870 
    20871 
    20872 
    20873 
    20874 
    20875 
    20876 
    20877 echo "$as_me:$LINENO: checking whether directory Data/Sample is available" >&5
    20878 echo $ECHO_N "checking whether directory Data/Sample is available... $ECHO_C" >&6
    20879                 coin_skip=no
    20880                 if test x"$COIN_SKIP_PROJECTS" != x; then
    20881                   for dir in $COIN_SKIP_PROJECTS; do
    20882                     if test $dir = Data/Sample; then
    20883                       coin_skip=yes
    20884                     fi
    20885                   done
    20886                 fi
    20887                 if test $coin_skip = yes; then
    20888                   echo "$as_me:$LINENO: result: skipping" >&5
    20889 echo "${ECHO_T}skipping" >&6
    20890                 elif test -r $srcdir/Data/Sample/configure; then
    20891                   coin_subdirs="$coin_subdirs Data/Sample"
    20892                   echo "$as_me:$LINENO: result: yes" >&5
    20893 echo "${ECHO_T}yes" >&6
    20894 
    20895 
    20896 subdirs="$subdirs Data/Sample"
    20897 
    20898                 else
    20899                   echo "$as_me:$LINENO: result: no" >&5
     21718  fi
     21719else
     21720  echo "$as_me:$LINENO: result: no" >&5
    2090021721echo "${ECHO_T}no" >&6
    20901                 fi
    20902 
    20903 
    20904 
    20905 
    20906 
    20907 
    20908 
    20909 
    20910 
    20911 
    20912 
    20913 
    20914 
    20915 echo "$as_me:$LINENO: checking whether directory Clp is available" >&5
    20916 echo $ECHO_N "checking whether directory Clp is available... $ECHO_C" >&6
    20917                 coin_skip=no
    20918                 if test x"$COIN_SKIP_PROJECTS" != x; then
    20919                   for dir in $COIN_SKIP_PROJECTS; do
    20920                     if test $dir = Clp; then
    20921                       coin_skip=yes
    20922                     fi
    20923                   done
    20924                 fi
    20925                 if test $coin_skip = yes; then
    20926                   echo "$as_me:$LINENO: result: skipping" >&5
    20927 echo "${ECHO_T}skipping" >&6
    20928                 elif test -r $srcdir/Clp/configure; then
    20929                   coin_subdirs="$coin_subdirs Clp"
    20930                   echo "$as_me:$LINENO: result: yes" >&5
    20931 echo "${ECHO_T}yes" >&6
    20932 
    20933 
    20934 subdirs="$subdirs Clp"
    20935 
    20936                 else
    20937                   echo "$as_me:$LINENO: result: no" >&5
    20938 echo "${ECHO_T}no" >&6
    20939                 fi
    20940 
    20941 
    20942 
    20943 
    20944 
    20945 
    20946 
    20947 
    20948 
    20949 
     21722fi
    2095021723
    2095121724
     
    2101521788    done
    2101621789    subdirs="$new_subdirs"
     21790  fi
     21791
     21792  # need to come before AC_OUTPUT
     21793  if test x$coin_projectdir != xyes; then
     21794    # write coin_subdirs to a file so that project configuration knows where to find uninstalled projects
     21795    echo $coin_subdirs > coin_subdirs.txt
     21796  else
     21797    # substitute for OBJDIR, needed to setup .pc file for uninstalled project
     21798    ABSBUILDDIR="`pwd`"
     21799
    2101721800  fi
    2101821801
     
    2179822581s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2179922582s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
     22583s,@PKG_CONFIG@,$PKG_CONFIG,;t t
     22584s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
    2180022585s,@COIN_SKIP_PROJECTS@,$COIN_SKIP_PROJECTS,;t t
    2180122586s,@subdirs@,$subdirs,;t t
    2180222587s,@LIBEXT@,$LIBEXT,;t t
    2180322588s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
     22589s,@ABSBUILDDIR@,$ABSBUILDDIR,;t t
    2180422590s,@LIBOBJS@,$LIBOBJS,;t t
    2180522591s,@LTLIBOBJS@,$LTLIBOBJS,;t t
Note: See TracChangeset for help on using the changeset viewer.